HTML::TAG Class Reference

`#include <HtmlBuilder.h>`

Inheritance diagram for HTML::TAG:
[legend]

## Public Member Functions

| TAG (const std::string &tag, std::ostream &stream)
virtual | ~TAG ()
TAG & | text ()
TAG & | text (const std::string &value)
TAG & | text (int value)

## Protected Attributes

std::ostream & | m_stream

## Private Attributes

std::string | m_tag
std::stringstream | m_value

## Detailed Description

Definition at line 50 of file HtmlBuilder.h.

## Constructor & Destructor Documentation

## TAG()

HTML::TAG::TAG | ( | const std::string & | tag,
|  | std::ostream & | stream
| ) |  |

inline

Definition at line 70 of file HtmlBuilder.h.

: public TAG
{
public:

## ~TAG()

virtual HTML::TAG::~TAG | ( |  | ) |

inline virtual

Definition at line 76 of file HtmlBuilder.h.

: TAG( "A", stream ) {}
A& href( const std::string& value )
{ m_stream << " href='" << value << "'"; return *this; }
};

## Member Function Documentation

## text() [1/3]

TAG& HTML::TAG::text | ( |  | ) |

inline

Definition at line 82 of file HtmlBuilder.h.

: public TAG
{

Referenced by FIX::HttpConnection::processDisableSessions(), FIX::HttpConnection::processEnableSessions(), FIX::HttpConnection::processRefreshSession(), FIX::HttpConnection::processRefreshSessions(), FIX::HttpConnection::processRequest(), FIX::HttpConnection::processResetSession(), FIX::HttpConnection::processResetSessions(), FIX::HttpConnection::processRoot(), FIX::HttpConnection::processSession(), and FIX::HttpConnection::showRow().

## text() [2/3]

TAG& HTML::TAG::text | ( | const std::string & | value | ) |

inline

Definition at line 84 of file HtmlBuilder.h.

:
BODY( std::ostream& stream )

## text() [3/3]

TAG& HTML::TAG::text | ( | int | value | ) |

inline

Definition at line 86 of file HtmlBuilder.h.

: TAG( "BODY", stream ) {}
};

## Member Data Documentation

## m_stream

std::ostream& HTML::TAG::m_stream

protected

Definition at line 94 of file HtmlBuilder.h.

Referenced by HTML::HR::HR(), and HTML::TABLE::TABLE().

## m_tag

std::string HTML::TAG::m_tag

private

Definition at line 90 of file HtmlBuilder.h.

## m_value

std::stringstream HTML::TAG::m_value

private

Definition at line 91 of file HtmlBuilder.h.

The documentation for this class was generated from the following file:

- HtmlBuilder.h

HTML::TAG::m_stream
std::ostream & m_stream
Definition: HtmlBuilder.h:94
HTML::TAG::TAG
TAG(const std::string &tag, std::ostream &stream)
Definition: HtmlBuilder.h:70